<template>
  <div class="Parent">
    父组件：{{title}}
    <Child @parentTitle="parentTitle"/>
  </div>
</template>

<script>

import Child from '@/components/Child.vue'
// emit进行数据传递
export default {
  name: 'Parent',
  components: {
    Child
  },
  data(){
    return{
      title:null
    }
  },
  methods:{
    parentTitle(e){
      this.title=e;
    }
  }
}
</script>
